×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 20
  1. #1
    Registered User
    Join Date
    Mar 2005
    Posts
    4

    S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    I can't find version 5.6.1 build 531 anywhere, not even on Active Perl's website. Does anyone have a link to it?
    All versions I've tried are giving me this error:
    "X:\>epoc
    Failed to execute the emulator "X:\epoc32\release\wins\udeb\epoc.exe": Invalid a
    rgument at D:\Symbian\8.0a\S60_2nd_FP2\epoc32\tools\epoc.pl line 120."

  2. #2
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    You could try emailing ActiveState (Support@ActiveState.com) and ask them to send you a direct link to the old version, if you can't locate it on their website.

  3. #3
    Registered User
    Join Date
    Mar 2005
    Posts
    4

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Weird..I contacted ActiveState and they said there has never been such a version. Oh well.

  4. #4
    Regular Contributor
    Join Date
    Nov 2005
    Posts
    67

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    I think that Nokia has made mistake with build information with 531 build number. My guess is that 5 should be 6 -> 5.6.1.631.

    Or, Nokia has its own customised build number 531 that has been spreaded to documentations ?

    I have used perl 5.6.1.631 allmost a half year with s60 2ed fp 2
    without problems.

  5. #5
    Regular Contributor
    Join Date
    Dec 2005
    Posts
    121

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531


  6. #6
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Hello Friends,

    I have similar kind of problem.
    I have ActivePerl5.6.1 installed on my PC.
    Let me describe it in detail.

    -Recently i added DirectX9.0 SDK, Microsoft Platform SDK for Windows Server 2003 R2 in my PC just for some other Non-Symbian Project.

    -I created one Symbian application, a small one.
    -From command line:
    bldmake bldfile //Successful
    abld build wins udeb //Successful
    epoc //UnSuccessful

    "epoc" command gave me following output:
    Failed to execute the emulator "C:\Symbian\8.0a\S60_2nd_FP2\epoc32\release\wins\
    udeb\epoc.exe": Invalid argument at C:\Symbian\8.0a\S60_2nd_FP2\epoc32\tools\epo
    c.pl line 120.
    And interesting thing was that i could invoke emulator from the following path:
    c:\Symbian\8.0a\S60_2nd_FP2\epoc32\release\wins\udeb

    Even i could debug from within application.

    But the problem is i can't invoke it from command prompt.
    And this happened with all the SDKs. I set each SDK as default one by one and tried for "epoc" command and in each try it gave me the same result.

    What could be possible remedy?

    Thanks & Regards.
    Kiran.

  7. #7
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,559

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    @ Kiran :

    Dunno if its relevant, but as I understand it..its as follows :

    epoc.pl is a file invoked at the perl command line interpreter. Before invocation, there is some cross-check of build and manufacturer. Somehow , it seems like this particular build number is not identified as a valid one.

    You could also try to see the epoc.pl for any other possible hints that you may be able to get that may have been missed.

    Am not sure if it sounds relevant, but thought I would share anyways

    Good luck and cheers
    Neil
    Last edited by Symbian_Neil; 2006-12-21 at 14:27.

  8. #8
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Hello,

    Neil, Thanks for sharing your views.

    Anyways i am not able to digest what line #120 says:
    Following is from epoc.pl
    Code:
    sub launchEmulator
    {
        my ($type,$win) = @_;
    
        my $epocroot = &getEpocroot;
        my $drive = &getDrive;
        my $emu = $drive . $epocroot . "epoc32" . "\\" 
    	      . "release\\" . $win . "\\" . $type . "\\" . "epoc.exe";
        -e $emu ||
    	die "ERROR: File \"$emu\" not found.\n\n" .
    	    "The EPOCROOT environment variable does not identify\n" .
    	    "a valid Symbian emulator installation on this drive.\n" . 
    		"EPOCROOT must be an absolute path to an existing\n" .
    		    "directory - it should have no drive qualifier and\n" .
    			"must end with a backslash.\n";
        # If the execute is successful, this never returns.
        exec("\"" . $emu . "\"") || die "Failed to execute the emulator \"$emu\": $!";// Line number 120
    }
    There was no such environment variable before also. And it had been running fine without any problem before yesterday.
    So i suspect some problem occured with DirectX 9.0 SDK and MS-Platform SDK installation but i m not able to probe into.

    Please suggest me some work-arounds or REMEDY.

    Thanks & Regards.
    Kiran.

  9. #9
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,559

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Sorry Kiran, I had got the line number wrong!!

    Did you get it sorted?

    Cheers
    Neil

  10. #10
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Hello Neil,
    Quote Originally Posted by Symbian_Neil
    Sorry Kiran, I had got the line number wrong!!

    Did you get it sorted?

    Cheers
    Neil
    Not yet sorted. Busy with some other Non-Symbian projects.
    I hope meanwhile i get some solution from someone. But i think i have to solve it my own.

    Thanks & Regards.
    Kiran.

  11. #11
    Registered User
    Join Date
    Jan 2007
    Posts
    1

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Indeed the DirectX sdk screws this. See your path, you probably have something like..

    Path="C:\<wherever>\Microsoft DirectX SDK (October 2006)\Utilities\Bin\x86";..

    .. or the like. Try removing the quotation marks, that fixed it for me.

  12. #12
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Smile Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Hello dear,

    Welcome!!! :)
    Quote Originally Posted by Sen7inel
    Indeed the DirectX sdk screws this. See your path, you probably have something like..

    Path="C:\<wherever>\Microsoft DirectX SDK (October 2006)\Utilities\Bin\x86";..

    .. or the like. Try removing the quotation marks, that fixed it for me.
    It really worked. Amazing. :)

    Thanks for the help.
    Kiran.

  13. #13
    Registered User
    Join Date
    Mar 2007
    Posts
    10

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Quote Originally Posted by Sen7inel
    Indeed the DirectX sdk screws this. See your path, you probably have something like..

    Path="C:\<wherever>\Microsoft DirectX SDK (October 2006)\Utilities\Bin\x86";..

    .. or the like. Try removing the quotation marks, that fixed it for me.
    Hi sen,

    Where to find that path?

    Could you please explain how to change the Path

    Kind regards,
    Ilyas

  14. #14
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,347

    Smile Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Hi,
    Quote Originally Posted by ilyaz121
    Hi sen,

    Where to find that path?

    Could you please explain how to change the Path

    Kind regards,
    Ilyas
    You would find PATH variable on your PC under:

    Start-> Settings-> Control Panel-> System-> Advanced-> Environment Variables
    Use EDIT to make changes in your PATH variable.

    Kiran.

  15. #15
    Registered User
    Join Date
    Mar 2007
    Posts
    10

    Re: S60 2nd Edition FP2: Looking for Active Perl 5.6.1 build 531

    Quote Originally Posted by kiran10182
    Hi,


    You would find PATH variable on your PC under:


    Use EDIT to make changes in your PATH variable.

    Kiran.
    Hi Kiran,

    thanks for your reply.

    Here is my path without quotes
    C:\Program Files\Common Files\Symbian\Tools;C:\Perl\site\bin;C:\Perl\bin;C:\Program Files\Java\jdk1.6.0\bin;C:\Program Files\Nokia\CodeWarrior for Symbian v3.1\Bin;C:\Program Files\Nokia\CodeWarrior for Symbian v3.1\Symbian_Tools\Command_Line_Tools;


    Eventhough I dont have quotations in the Path, I am still getteing the same problem.

    I am using

    Active Perl Version 5.8.8 Build 820
    Code WarriorV3.1
    Java 2 Runtime Environment, SE v1.4.2_12

    Could you please suggest the solution?

    Kind Regards,
    Ilyas

Similar Threads

  1. Network connection not working on S60 2nd Ed FP2 emulator
    By jalakuri in forum Symbian Networking & Messaging (Closed)
    Replies: 7
    Last Post: 2007-05-08, 15:47
  2. Location API of Series 60 2nd Edition FP2
    By razas in forum Symbian
    Replies: 0
    Last Post: 2006-01-05, 07:13
  3. Installing S60 2nd edition FP2 for Visual Studio 2003
    By doctordwarf in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2005-04-29, 16:26

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×